Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/CodeExpressionTests.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/CodeExpressionTests.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/CodeExpressionTests.cs	(revision 14908)
@@ -20,5 +20,5 @@
       get
       {
-        return this.interpreter.CodeStack;
+        return interpreter.CodeStack;
       }
     }
@@ -33,9 +33,9 @@
       var result = PushParser.Parse("( A B )");
 
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeAppendExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeAppendExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -49,9 +49,9 @@
       var result = PushParser.Parse("( A 5 )");
 
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeAppendExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeAppendExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -65,9 +65,9 @@
       var result = PushParser.Parse("( 4 5 )");
 
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeAppendExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeAppendExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -80,12 +80,12 @@
       var result = PushParser.Parse("( A B C )");
 
-      this.interpreter.CodeStack.Push(list);
-      this.interpreter.Run(new CodeDuplicateExpression());
-
-      Assert.AreEqual(this.Stack.Count, 2);
-      Assert.AreEqual(this.Stack[0], list);
-      Assert.AreEqual(this.Stack[1], result);
-
-      this.CheckOtherStacksAreEmpty();
+      interpreter.CodeStack.Push(list);
+      interpreter.Run(new CodeDuplicateExpression());
+
+      Assert.AreEqual(Stack.Count, 2);
+      Assert.AreEqual(Stack[0], list);
+      Assert.AreEqual(Stack[1], result);
+
+      CheckOtherStacksAreEmpty();
     }
 
@@ -97,9 +97,9 @@
       var first = PushParser.Parse("( A )");
 
-      this.interpreter.CodeStack.Push(first);
-      this.interpreter.Run(new CodeAtomExpression());
-
-      Assert.AreEqual(false, this.interpreter.BooleanStack.Top);
-      this.TestStackCounts(booleanStack: 1);
+      interpreter.CodeStack.Push(first);
+      interpreter.Run(new CodeAtomExpression());
+
+      Assert.AreEqual(false, interpreter.BooleanStack.Top);
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -111,9 +111,9 @@
       var first = PushParser.Parse("5");
 
-      this.interpreter.CodeStack.Push(first);
-      this.interpreter.Run(new CodeAtomExpression());
-
-      Assert.AreEqual(true, this.interpreter.BooleanStack.Top);
-      this.TestStackCounts(booleanStack: 1);
+      interpreter.CodeStack.Push(first);
+      interpreter.Run(new CodeAtomExpression());
+
+      Assert.AreEqual(true, interpreter.BooleanStack.Top);
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -125,9 +125,9 @@
       var first = PushParser.Parse("INTEGER.+");
 
-      this.interpreter.CodeStack.Push(first);
-      this.interpreter.Run(new CodeAtomExpression());
-
-      Assert.AreEqual(true, this.interpreter.BooleanStack.Top);
-      this.TestStackCounts(booleanStack: 1);
+      interpreter.CodeStack.Push(first);
+      interpreter.Run(new CodeAtomExpression());
+
+      Assert.AreEqual(true, interpreter.BooleanStack.Top);
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -140,9 +140,9 @@
       var result = PushParser.Parse("A");
 
-      this.interpreter.CodeStack.Push(first);
-      this.interpreter.Run(new CodeCarExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.CodeStack.Push(first);
+      interpreter.Run(new CodeCarExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -155,9 +155,9 @@
       var result = PushParser.Parse("5");
 
-      this.interpreter.CodeStack.Push(first);
-      this.interpreter.Run(new CodeCarExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.CodeStack.Push(first);
+      interpreter.Run(new CodeCarExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -170,9 +170,9 @@
       var result = PushParser.Parse("( B C )");
 
-      this.interpreter.CodeStack.Push(first);
-      this.interpreter.Run(new CodeCdrExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.CodeStack.Push(first);
+      interpreter.Run(new CodeCdrExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -185,9 +185,9 @@
       var result = PushParser.Parse("( )");
 
-      this.interpreter.CodeStack.Push(first);
-      this.interpreter.Run(new CodeCdrExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.CodeStack.Push(first);
+      interpreter.Run(new CodeCdrExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -201,9 +201,9 @@
       var result = PushParser.Parse("( A B C )");
 
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeConsExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeConsExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -216,9 +216,9 @@
       var second = PushParser.Parse("( A B C )");
 
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeContainsExpression());
-
-      Assert.AreEqual(true, this.interpreter.BooleanStack.Top);
-      this.TestStackCounts(booleanStack: 1);
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeContainsExpression());
+
+      Assert.AreEqual(true, interpreter.BooleanStack.Top);
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -231,9 +231,9 @@
       var second = PushParser.Parse("( A B C )");
 
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeContainsExpression());
-
-      Assert.AreEqual(false, this.interpreter.BooleanStack.Top);
-      this.TestStackCounts(booleanStack: 1);
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeContainsExpression());
+
+      Assert.AreEqual(false, interpreter.BooleanStack.Top);
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -247,9 +247,9 @@
       var result = PushParser.Parse("( C ( A ) )");
 
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeContainerExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeContainerExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -261,11 +261,11 @@
       var code = PushParser.Parse("( A )");
 
-      this.interpreter.CustomExpressions.Add("Test", code);
-      this.interpreter.NameStack.Push("Test");
-
-      this.interpreter.Run(new CodeDefinitionExpression());
-
-      Assert.AreEqual(code, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.CustomExpressions.Add("Test", code);
+      interpreter.NameStack.Push("Test");
+
+      interpreter.Run(new CodeDefinitionExpression());
+
+      Assert.AreEqual(code, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -278,9 +278,9 @@
       var program = new CodeDefinitionExpression();
 
-      this.interpreter.CustomExpressions.Add("Test1", code);
-      this.interpreter.NameStack.Push("Test2");
-      this.interpreter.Run(program);
-
-      this.TestStackCounts(nameStack: 1);
+      interpreter.CustomExpressions.Add("Test1", code);
+      interpreter.NameStack.Push("Test2");
+      interpreter.Run(program);
+
+      TestStackCounts(nameStack: 1);
     }
 
@@ -293,9 +293,9 @@
       var second = PushParser.Parse("( B C )");
 
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeDiscrepancyExpression());
-
-      Assert.AreEqual(2, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeDiscrepancyExpression());
+
+      Assert.AreEqual(2, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -308,9 +308,9 @@
       var second = PushParser.Parse("( B A )");
 
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeDiscrepancyExpression());
-
-      Assert.AreEqual(0, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeDiscrepancyExpression());
+
+      Assert.AreEqual(0, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -323,9 +323,9 @@
       var second = PushParser.Parse("( A A B D E )");
 
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeDiscrepancyExpression());
-
-      Assert.AreEqual(3, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeDiscrepancyExpression());
+
+      Assert.AreEqual(3, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -338,9 +338,9 @@
       var second = PushParser.Parse("( A ( A ) B D E )");
 
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeDiscrepancyExpression());
-
-      Assert.AreEqual(5, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeDiscrepancyExpression());
+
+      Assert.AreEqual(5, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -352,9 +352,9 @@
       var prog = PushParser.Parse("( 10 )");
 
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeDoExpression());
-
-      Assert.AreEqual(10, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeDoExpression());
+
+      Assert.AreEqual(10, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -366,9 +366,9 @@
       var prog = PushParser.Parse("( 10 )");
 
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeDoXExpression());
-
-      Assert.AreEqual(10, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeDoXExpression());
+
+      Assert.AreEqual(10, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -380,10 +380,10 @@
       var prog = PushParser.Parse("INTEGER.+");
 
-      this.interpreter.IntegerStack.Push(3);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeDoCountExpression());
-
-      Assert.AreEqual(6, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      interpreter.IntegerStack.Push(3);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeDoCountExpression());
+
+      Assert.AreEqual(6, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -395,10 +395,10 @@
       var prog = PushParser.Parse("INTEGER.+");
 
-      this.interpreter.IntegerStack.Push(-1);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeDoCountExpression());
-
-      Assert.AreEqual(-1, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(codeStack: 1, integerStack: 1);
+      interpreter.IntegerStack.Push(-1);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeDoCountExpression());
+
+      Assert.AreEqual(-1, interpreter.IntegerStack.Top);
+      TestStackCounts(codeStack: 1, integerStack: 1);
     }
 
@@ -410,10 +410,10 @@
       var prog = PushParser.Parse("INTEGER.+");
 
-      this.interpreter.IntegerStack.Push(3, 5);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeDoRangeExpression());
-
-      Assert.AreEqual(12, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      interpreter.IntegerStack.Push(3, 5);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeDoRangeExpression());
+
+      Assert.AreEqual(12, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -425,10 +425,10 @@
       var prog = PushParser.Parse("INTEGER.+");
 
-      this.interpreter.IntegerStack.Push(3, 3);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeDoRangeExpression());
-
-      Assert.AreEqual(3, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(codeStack: 1, integerStack: 2);
+      interpreter.IntegerStack.Push(3, 3);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeDoRangeExpression());
+
+      Assert.AreEqual(3, interpreter.IntegerStack.Top);
+      TestStackCounts(codeStack: 1, integerStack: 2);
     }
 
@@ -440,10 +440,10 @@
       var prog = PushParser.Parse("INTEGER.+");
 
-      this.interpreter.IntegerStack.Push(-3, -5);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeDoRangeExpression());
-
-      Assert.AreEqual(-12, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      interpreter.IntegerStack.Push(-3, -5);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeDoRangeExpression());
+
+      Assert.AreEqual(-12, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -455,10 +455,10 @@
       var prog = PushParser.Parse("( INTEGER.DUP INTEGER.+ )");
 
-      this.interpreter.IntegerStack.Push(2, 3);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeDoTimesExpression());
-
-      Assert.AreEqual(32, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      interpreter.IntegerStack.Push(2, 3);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeDoTimesExpression());
+
+      Assert.AreEqual(32, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -470,10 +470,10 @@
       var prog = PushParser.Parse("( INTEGER.DUP INTEGER.+ )");
 
-      this.interpreter.IntegerStack.Push(2, -3);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeDoTimesExpression());
-
-      Assert.AreEqual(-3, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(codeStack: 1, integerStack: 2);
+      interpreter.IntegerStack.Push(2, -3);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeDoTimesExpression());
+
+      Assert.AreEqual(-3, interpreter.IntegerStack.Top);
+      TestStackCounts(codeStack: 1, integerStack: 2);
     }
 
@@ -483,9 +483,9 @@
     [TestCategory("CodeExpressionTest")]
     public void TestNestedDoRange() {
-      this.interpreter.Run(
+      interpreter.Run(
         "( 0 2 CODE.QUOTE ( 1 INTEGER.+ 0 3 CODE.QUOTE ( 1 INTEGER.+ INTEGER.* ) CODE.DO*RANGE INTEGER.+ ) CODE.DO*RANGE )");
 
-      Assert.AreEqual(144, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      Assert.AreEqual(144, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -495,9 +495,9 @@
     [TestCategory("CodeExpressionTest")]
     public void TestNestedDoCount() {
-      this.interpreter.Run(
+      interpreter.Run(
         "( 2 CODE.QUOTE ( 1 INTEGER.+ 3 CODE.QUOTE ( 1 INTEGER.+ INTEGER.* ) CODE.DO*COUNT INTEGER.+ ) CODE.DO*COUNT )");
 
-      Assert.AreEqual(144, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      Assert.AreEqual(144, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -507,9 +507,9 @@
     [TestCategory("CodeExpressionTest")]
     public void TestNestedDoTimes() {
-      this.interpreter.Run(
+      interpreter.Run(
         "( 3 CODE.QUOTE ( 2 3 CODE.QUOTE ( 2 INTEGER.* ) CODE.DO*TIMES INTEGER.+ ) CODE.DO*TIMES )");
 
-      Assert.AreEqual(128, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      Assert.AreEqual(128, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -522,10 +522,10 @@
       var result = PushParser.Parse("( D )");
 
-      this.interpreter.IntegerStack.Push(5);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeExtractExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(5);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeExtractExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -538,10 +538,10 @@
       var result = PushParser.Parse("5");
 
-      this.interpreter.IntegerStack.Push(3);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeExtractExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(3);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeExtractExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -554,10 +554,10 @@
       var result = PushParser.Parse("4.2");
 
-      this.interpreter.IntegerStack.Push(6);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeExtractExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(6);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeExtractExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -570,10 +570,10 @@
       var result = PushParser.Parse("FALSE");
 
-      this.interpreter.IntegerStack.Push(8);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeExtractExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(8);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeExtractExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -586,10 +586,10 @@
       var result = PushParser.Parse("INTEGER.+");
 
-      this.interpreter.IntegerStack.Push(7);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeExtractExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(7);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeExtractExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -600,9 +600,9 @@
     public void TestFromBoolean() {
       var result = PushParser.Parse("FALSE");
-      this.interpreter.BooleanStack.Push(false);
-      this.interpreter.Run(new CodeFromBooleanExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.BooleanStack.Push(false);
+      interpreter.Run(new CodeFromBooleanExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -613,9 +613,9 @@
     public void TestFromFloat() {
       var result = PushParser.Parse("4.1");
-      this.interpreter.FloatStack.Push(4.1);
-      this.interpreter.Run(new CodeFromFloatExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.FloatStack.Push(4.1);
+      interpreter.Run(new CodeFromFloatExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -626,9 +626,9 @@
     public void TestFromInteger() {
       var result = PushParser.Parse("4");
-      this.interpreter.IntegerStack.Push(4);
-      this.interpreter.Run(new CodeFromIntegerExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(4);
+      interpreter.Run(new CodeFromIntegerExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -639,9 +639,9 @@
     public void TestFromName() {
       var result = PushParser.Parse("A");
-      this.interpreter.NameStack.Push("A");
-      this.interpreter.Run(new CodeFromNameExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.NameStack.Push("A");
+      interpreter.Run(new CodeFromNameExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -654,10 +654,10 @@
       var second = PushParser.Parse("WAHR");
 
-      this.interpreter.BooleanStack.Push(true);
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeIfExpression());
-
-      Assert.AreEqual("WAHR", this.interpreter.NameStack.Top);
-      this.TestStackCounts(nameStack: 1);
+      interpreter.BooleanStack.Push(true);
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeIfExpression());
+
+      Assert.AreEqual("WAHR", interpreter.NameStack.Top);
+      TestStackCounts(nameStack: 1);
     }
 
@@ -670,10 +670,10 @@
       var second = PushParser.Parse("WAHR");
 
-      this.interpreter.BooleanStack.Push(false);
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeIfExpression());
-
-      Assert.AreEqual("FALSCH", this.interpreter.NameStack.Top);
-      this.TestStackCounts(nameStack: 1);
+      interpreter.BooleanStack.Push(false);
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeIfExpression());
+
+      Assert.AreEqual("FALSCH", interpreter.NameStack.Top);
+      TestStackCounts(nameStack: 1);
     }
 
@@ -687,10 +687,10 @@
       var result = PushParser.Parse("( A ( B ) ( E ) D )");
 
-      this.interpreter.IntegerStack.Push(2);
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeInsertExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(2);
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeInsertExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -704,10 +704,10 @@
       var result = PushParser.Parse("( A ( B ) ( E ) D )");
 
-      this.interpreter.IntegerStack.Push(-2);
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeInsertExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(-2);
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeInsertExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -721,10 +721,10 @@
       var result = PushParser.Parse("( A ( B ) ( E ) D )");
 
-      this.interpreter.IntegerStack.Push(10);
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeInsertExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(10);
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeInsertExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -738,9 +738,9 @@
       var result = PushParser.Parse("( A ( B ) )");
 
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeListExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeListExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -753,9 +753,9 @@
       var second = PushParser.Parse("( B )");
 
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeMemberExpression());
-
-      Assert.AreEqual(true, this.interpreter.BooleanStack.Top);
-      this.TestStackCounts(booleanStack: 1);
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeMemberExpression());
+
+      Assert.AreEqual(true, interpreter.BooleanStack.Top);
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -768,9 +768,9 @@
       var second = PushParser.Parse("( B )");
 
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeMemberExpression());
-
-      Assert.AreEqual(false, this.interpreter.BooleanStack.Top);
-      this.TestStackCounts(booleanStack: 1);
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeMemberExpression());
+
+      Assert.AreEqual(false, interpreter.BooleanStack.Top);
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -783,9 +783,9 @@
       var second = PushParser.Parse("B");
 
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodeMemberExpression());
-
-      Assert.AreEqual(true, this.interpreter.BooleanStack.Top);
-      this.TestStackCounts(booleanStack: 1);
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodeMemberExpression());
+
+      Assert.AreEqual(true, interpreter.BooleanStack.Top);
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -795,7 +795,7 @@
     [TestCategory("CodeExpressionTest")]
     public void TestNoop() {
-      this.interpreter.Run(new CodeNoopExpression());
-
-      this.CheckOtherStacksAreEmpty();
+      interpreter.Run(new CodeNoopExpression());
+
+      CheckOtherStacksAreEmpty();
     }
 
@@ -808,10 +808,10 @@
       var result = PushParser.Parse("A");
 
-      this.interpreter.IntegerStack.Push(3);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeNthExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(3);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeNthExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -824,10 +824,10 @@
       var result = PushParser.Parse("( )");
 
-      this.interpreter.IntegerStack.Push(3);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeNthExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(3);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeNthExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -840,10 +840,10 @@
       var result = PushParser.Parse("D");
 
-      this.interpreter.IntegerStack.Push(3);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeNthExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(3);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeNthExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -856,10 +856,10 @@
       var result = PushParser.Parse("D");
 
-      this.interpreter.IntegerStack.Push(13);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeNthExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(13);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeNthExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -872,10 +872,10 @@
       var result = PushParser.Parse("D");
 
-      this.interpreter.IntegerStack.Push(-3);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeNthExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(-3);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeNthExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -888,10 +888,10 @@
       var result = PushParser.Parse("D");
 
-      this.interpreter.IntegerStack.Push(2);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeNthCdrExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(2);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeNthCdrExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -904,10 +904,10 @@
       var result = PushParser.Parse("D");
 
-      this.interpreter.IntegerStack.Push(10);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeNthCdrExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(10);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeNthCdrExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
